Package: groovy.text

## [Java] Class TemplateEngine

- groovy.text.TemplateEngine

- Represents an API to any template engine which is basically a factory of Template instances from a given text input.

  Authors:
    sam

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Template` | `createTemplate(Reader reader)`
    `` | `Template` | `createTemplate(String templateText)`
    `` | `Template` | `createTemplate(File file)`
    `` | `Template` | `createTemplate(URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public Template createTemplate(Reader reader)

    - #### public Template createTemplate(String templateText)

    - #### public Template createTemplate(File file)

    - #### public Template createTemplate(URL url)